import { LitElement } from 'lit';
export declare const ICON_RESOLVING = "icon-resolving";
export declare class IconResolvingComponent extends LitElement {
    static readonly defaultTagName = "icon-resolving";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
